<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Онлайн мафия';
include_once '../sys/inc/thead.php';
title();
aut();
if(!isset($user)){
echo "Вы не зарегистрированы!";
include_once '../sys/inc/tfoot.php';
break;
}
$prov=mysql_result(mysql_query("SELECT * FROM mafia_us WHERE id_us='$user[id]'"), 0);
if($prov>0){

}
else
{
$usid=$user['id'];
$usn=$user['nick'];
mysql_query("INSERT INTO mafia_us(id_us, nick, win, cred, pm, ps, acti) VALUES('$usid', '$usn',  '0', '0', '0', '0', '0');");
}

$rtime=time();
$q=mysql_query("SELECT * FROM `mafia_act` WHERE `room`='1'");
$av=isset($_GET['av']) ? htmlspecialchars(trim($_GET['av'])) : '';
/*$mod=htmlspecialchars(trim($_GET['mod']));
if($mod=='ok'){
mysql_query("DELETE FROM `mafia_chat` WHERE `room`='1'");
} */

while($ig=mysql_fetch_array($q)){
$act=$ig['act'];
$time=$ig['time'];
}
if(isset($_POST['subpost']) && $_POST['ppost']!=''){
$mafpo=my_esc($_POST['ppost']);
mysql_query("INSERT INTO `mafia_chat`(`room`, `nick`, `id_us`, `mess`, `time`) VALUES('1', '".$user['nick']."', '".$user['id']."', '$mafpo', '".time()."');");
header("Location:igra.php?$passgen");
}
echo "<form method='post' action='igra.php?$passgen'>
<input name='ppost' value='$av'/><input type='submit' value='Сказать' name='subpost'/></form>";

$m=mysql_query("SELECT `id_us` FROM `mafia_us` WHERE `role`!=''");
$ktoig=0;
$ktovse=0;
while($k=mysql_fetch_array($m)){
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `mafia_us` WHERE `id_us`='".$k['id_us']."' AND yb!='2'"),0)>0){
$ktoig++;
}
$ktovse++;
}
echo "<img src='ic_gp31.gif'/><a href='who.php'> Кто в игре?</a> [<font color='green'>$ktoig</font>/<font color='red'>$ktovse</font>]<br/>
<img src='bb.gif'/><a href='rules.php'><font color='red'> Правила игры</font></a><br/>";

echo "<img src='refresh.gif'/><a href='igra.php?$passgen'> Обновить</a><br/>";
if($user[id]==1 || $user[id]==2 || $user[id]==3 || $user[id]==11 || $user[id]==29){

echo "<img src='ic_ch17.gif'/><a href='moderka.php'> Админка<a><br/>";
echo "<img src='ic_ch17.gif'/><a href='?mod=ok'> Очистить комнату<a><br/>";
$mod=htmlspecialchars(trim($_GET['mod']));
if($mod=='ok'){
mysql_query("DELETE FROM `mafia_chat` WHERE `room`='1'");}

}
echo "<img src='ic_ch11.gif'/><a href='top10.php'> Топ игроков</a><br/>";


$newtime=time()+200;
if(isset($_POST['start1'])){
if($act=='no' || $act==''){
mysql_query("UPDATE `mafia_us` SET `reg`='', `role`='', `vote`='0', `pm`='', `ps`='', `acti`='0', `yb`='0', `dok`='', `bom`='', `kto_ub`='' WHERE `id_us`!=''");
mysql_query("UPDATE `mafia_act` SET `act`='reg', `time`='$newtime' WHERE `room`='1' LIMIT 1;");
$mess="Регистрация в игре мафия открыта!";
mysql_query("INSERT INTO `mafia_chat`(`room`, `nick`, `id_us`, `mess`, `time`) VALUES('1', 'Администратор', '1', '$mess', '".time()."');");
header("Location:igra.php?$passgen");

}
}
if(isset($_POST['reg']) && $act=='reg'){
mysql_query("UPDATE `mafia_us` SET `reg`='1' WHERE `id_us`='".$user['id']."' LIMIT 1;");
$mess="Пользователь $user[nick] успешно зарегистрирован в игре.";

mysql_query("INSERT INTO `mafia_chat`(`room`, `nick`, `id_us`, `mess`, `time`) VALUES('1', 'Администратор', '1', '$mess', '".time()."');");
header("Location:igra.php?$passgen");
}
//////рега

if($act=='reg'){
if($time<time()){
$count=mysql_result(mysql_query("SELECT COUNT(*) FROM `mafia_us` WHERE `reg`='1'"), 0);
if($count>2){
$qtime=time()+120;
mysql_query("UPDATE `mafia_act` SET `act`='nit', `time`='$qtime' WHERE `room`='1'");
$mess="Регистрация окончена! Наступает ночь. Сейчас участники узнают свои роли!";
mysql_query("INSERT INTO `mafia_chat`(`room`, `nick`, `id_us`, `mess`, `time`) VALUES('1', 'Администратор', '1', '$mess', '".time()."');");
$xz=mysql_query("SELECT * FROM `mafia_us` WHERE `reg`='1' ORDER BY RAND()");
$i=1;
while($play=mysql_fetch_array($xz)){

if($i==1){
$role="Мирный житель";
}
elseif($i==2){
$role="Шериф";
}
elseif($i==3){
$role="Босс мафии";
}
elseif($i==4){
$role="Мирный житель";
}
elseif($i==5){
$role="Мафиози";
}
elseif($i==6){
$role="Доктор";
}
elseif($i==7){
$role="Шпион";
}
elseif($i==8){
$role="Маньяк";
}
elseif($i==9){
$role="Бомж";
}
elseif($i==10){
$role="Киллер мафии";
}
elseif($i==11){
$role="Маньяк";
}
elseif($i==12){
$role="Коммисар";
}
elseif($i==13){
$role="Мирный житель";
}
elseif($i==14){
$role="Мирный житель";
}
elseif($i==15){
$role="Мирный житель";
}
elseif($i==16){
$role="Мирный житель";
}
elseif($i==17){
$role="Мафиози";
}
elseif($i==18){
$role="Мафиози";
}
elseif($i==19){
$role="Мирный житель";
}
elseif($i==20){
$role="Мафиози";
}
elseif($i==21){
$role="Мирный житель";
}
elseif($i==22){
$role="Маньяк";
}
elseif($i==23){
$role="Маньяк";
}
elseif($i==24){
$role="Мирный житель";
}
elseif($i==25){
$role="Мафиози";
}
elseif($i==26){
$role="Мафиози";
}
elseif($i==27){
$role="Мирный житель";
}
elseif($i==28){
$role="Маньяк";
}
elseif($i==29){
$role="Мафиози";
}
elseif($i==30){
$role="Мафиози";
}
elseif($i==31){
$role="Маньяк";
}
elseif($i==32){
$role="Мирный житель";
}
elseif($i==33){
$role="Мирный житель";
}
elseif($i==34){
$role="Мирный житель";
}
elseif($i==35){
$role="Мирный житель";
}
elseif($i==36){
$role="Мирный житель";
}
elseif($i==37){
$role="Мафиози";
}
elseif($i==38){
$role="Маньяк";
}
elseif($i==39){
$role="Мирный житель";
}
elseif($i==40){
$role="Мирный житель";
}
elseif($i==41){
$role="Маньяк";
}

mysql_query("UPDATE `mafia_us` SET `role`='$role' WHERE `id_us`='".$play['id_us']."' LIMIT 1");
$i++; }
header("Location:igra.php?$passgen");
}
else
{
mysql_query("UPDATE `mafia_act` SET `act`='no' WHERE `room`='1'");
mysql_query("UPDATE `mafia_us` SET `reg`='' WHERE `id_us`!=''");

$mess="В игре меньше 3 человек! Позовите ещё кого-нибудь в игру";

mysql_query("INSERT INTO `mafia_chat`(`room`, `nick`, `id_us`, `mess`, `time`) VALUES('1', 'Администратор', '1', '$mess', '".time()."');");


}}
$otime=$time-time();
echo "Регистрация в игре открыта<br/>";
$kol=mysql_result(mysql_query("SELECT COUNT(*) FROM `mafia_us` WHERE `reg`='1'"), 0);
$ost=$time-time();
echo "Регистраций : $kol<br/>Осталось [<b>$ost сек</b>]<br/>";
$mys=mysql_result(mysql_query("SELECT COUNT(*) FROM `mafia_us` WHERE `id_us`='".$user['id']."' AND `reg`='1'"), 0);
if($mys>0){
echo "Вы зарегистрированны! Ожидайте начала игры<br/>";
}
else
{
echo "<form method='post' action='igra.php?$passgen'>
<input type='submit' name='reg' value='Регистрация'/></form>";
}
}
/////старт игры

if($act=='no' || $act==''){
echo "Мафия не запущена<br/>";
echo "<form method='post' action='igra.php?$passgen'>
<input type='submit' value='Начать игру!' name='start1'/></form>";
}
/////night

if($act=='nit'){
$ost=$time-time();
$skoko=mysql_result(mysql_query("SELECT COUNT(*) FROM `mafia_us` WHERE `role`!='' && `yb`!='2'"), 0);
if($skoko>2){
if(time()>$time){
$pp=mysql_query("SELECT * FROM `mafia_us` WHERE `role`!='' && `yb`='1'");
$ktoymer = array("");
while($rom=mysql_fetch_array($pp)){
$dok=$rom['dok'];
$bom=$rom['bom'];
$nnk=$rom['nick'];
$roll=$rom['role'];
$ktoub=$rom['kto_ub'];
$indus=$rom['id_us'];
$ybb=$rom['yb'];
if($bom=='1' && $ybb=='1'){
$ybbb="2";
$me="Сегодня $nnk был убит... Однако преступники незнали, что за ними наблюдал бомж. Он утверждает, что преступник - $ktoub!";

mysql_query("INSERT INTO `mafia_chat`(`room`, `nick`, `id_us`, `mess`, `time`) VALUES('1', 'Администратор', '1', '$me', '".time()."');");
}
if($dok=='1' && $ybb=='1'){
$ybbb="";

$me="Сегодня $nnk был убит... Однако рядом проходил доктор, и откачал его! Теперь $nnk здоровее всех!";
mysql_query("INSERT INTO `mafia_chat`(`room`, `nick`, `id_us`, `mess`, `time`) VALUES('1', 'Администратор', '1', '$me', '".time()."');");
}
if($ybb=='1' && $dok!='1'){
$ybbb="2";
$inara=" $nnk ($roll), ";
array_push($ktoymer,"$inara");
}
mysql_query("UPDATE `mafia_us` SET `yb`='$ybbb' WHERE `id_us`='$indus' LIMIT 1");
}
$inarray=implode($ktoymer);

$mss="Вот и день наступил, но все ли до него дожили? Сегодня были убиты : [b] $inarray [/b] ";

mysql_query("INSERT INTO `mafia_chat`(`room`, `nick`, `id_us`, `mess`, `time`) VALUES('1', 'Администратор', '1', '$mss', '".time()."');");
$newtime=time()+140;
mysql_query("UPDATE `mafia_act` SET `act`='day',  `time`='$newtime' WHERE `room`='1' LIMIT 1");
$dm=mysql_query("SELECT * FROM `mafia_us` WHERE `role`!='' && `yb`!='2'");
while($wmwm=mysql_fetch_array($dm)){
mysql_query("UPDATE `mafia_us` SET `acti`='0', `dok`='', `bom`='', `kto_ub`='' WHERE `id_us`='".$wmwm['id_us']."' LIMIT 1;");
}

header("Location:igra.php?$passgen");

}
}
else
{
$sic='1';
}
echo "Сейчас ночь... Все спят<br/>Осталось [<b>$ost</b> сек]<br/>";

$ya=mysql_result(mysql_query("SELECT COUNT(*) FROM mafia_us WHERE id_us='$user[id]' AND yb!='2'"), 0);
$wasa=mysql_result(mysql_query("SELECT COUNT(*) FROM `mafia_us` WHERE `id_us`='$user[id]' AND `role`!=''"), 0);
$uz=mysql_fetch_array(mysql_query("SELECT * FROM mafia_us WHERE id_us='$user[id]'"));
$role=$uz['role'];
if($wasa>0){
echo "Вы $role! [<a href='deist.php'>опции</a>]<br/>";
}
$quo=mysql_result(mysql_query("SELECT COUNT(*) FROM mafia_us WHERE id_us='$user[id]' AND `role`!='' AND yb='2'"), 0);
if($quo>0){
echo "Вы $role(мертвы)<br/>";
}

}

if($act=='day'){
$ost=$time-time();
$skoko=mysql_result(mysql_query("SELECT COUNT(*) FROM mafia_us WHERE role!='' && yb!='2'"), 0);
if($skoko>2){
if(time()>$time){
$pp=mysql_query("SELECT * FROM mafia_us WHERE role!='' && yb!='2' ORDER BY vote DESC LIMIT 1");
while($rom=mysql_fetch_array($pp)){
$dok=$rom['dok'];
$vote=$rom['vote'];
$nnk=$rom['nick'];
$roll=$rom['role'];
$ktoub=$rom['kto_ub'];
$indus=$rom['id_us'];
$me="По результатам голосования, игру покидают: 
$nnk($roll)!";

mysql_query("INSERT INTO mafia_chat(room, nick, id_us, mess, time) VALUES('1', 'Администратор', '1', '$me', '".time()."');");

mysql_query("UPDATE mafia_us SET yb='2', vote='0' WHERE id_us='$indus';");

}
mysql_query("UPDATE mafia_us SET vote='0', acti='0' WHERE yb!='2'");
$mss="В городе наступает ночь...";

mysql_query("INSERT INTO mafia_chat(room, nick, id_us, mess, time) VALUES('1', 'Администратор', '1', '$mss', '".time()."');");
$newtime=time()+140;
mysql_query("UPDATE mafia_act SET act='nit',  time='$newtime' WHERE room='1' LIMIT 1;");

header("Location:igra.php?$passgen");

}
}
else
{
$sic='1';

}
echo "Сейчас день... Идёт голосование<br/>Осталось [<b>$ost</b> сек]<br/>";

$ya=mysql_result(mysql_query("SELECT COUNT(*) FROM mafia_us WHERE id_us='$user[id]' AND yb='0'"), 0);
$wasa=mysql_result(mysql_query("SELECT COUNT(*) FROM `mafia_us` WHERE `id_us`='$user[id]' AND `role`!='' AND `yb`='0'"), 0);

$uz=mysql_fetch_array(mysql_query("SELECT * FROM mafia_us WHERE id_us='$user[id]'"));
$role=$uz['role'];
if($wasa>0){
echo "Вы $role! [<a href='deist.php'>опции</a>]<br/>";
}
$quo=mysql_result(mysql_query("SELECT COUNT(*) FROM mafia_us WHERE id_us='$user[id]' AND role!='' AND yb='2'"), 0);
if($quo>0){
echo "Вы $role(мертвы)<br/>";
}

}


$cht=mysql_result(mysql_query("SELECT COUNT(*) FROM `mafia_chat` WHERE `room`='1'"), 0);
$k_page=k_page($cht, $set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$chat=mysql_query("SELECT * FROM `mafia_chat` WHERE `room`='1' ORDER BY `id` DESC LIMIT $start, $set[p_str]");

while($ch=mysql_fetch_array($chat)){
$cti=$ch['time'];
echo "<div class='frends'><b><a href='/info.php?id=$ch[id_us]'>";
if($ch[id_us]=='25'){
echo "<font color='black'> $ch[nick]</font>";
}
elseif($ch[id_us]==1 || $ch[id_us]==2 || $ch[id_us]==3 || $ch[id_us]==11 || $ch[id_us]==29){
echo "<font color='red'>$ch[nick]</font>";
}
elseif($ch[id_us]!='1' || $ch[id_us]!='2' || $ch[id_us]!='3'){
echo "$ch[nick]";
}
elseif($ch[id_us]==11 || $ch[id_us]==29){
echo "<font color='blue'>$ch[nick]</font>";
}
elseif($ch[id_us]!='11' || $ch[id_us]!='29'){
echo "$ch[nick]";
}
echo " (".vremja($cti).")</a></b>[<a href='igra.php?av=$ch[nick]'>отв</a>]<br/>".output_text($ch[mess])."</div>";
}
if($k_page>1)str('igra.php?',$k_page, $page);

if($sic=='1'){


$qvga=mysql_query("SELECT * FROM mafia_us WHERE yb!='2' && reg='1' && role!=''");
$ar1=array();
$prest=0;
$mir=0;
while($da=mysql_fetch_array($qvga)){
$nick1=$da['nick'];
$idus1=$da['id_us'];
$role1=$da['role'];
$win1=$da['win'];
$cred1=$da['cred'];
if($role1=='Мафиози' || $role1=='Босс мафии' || $role1=='Шпион мафии' || $role1=='Киллер мафии'){
$prest++;
}
else
{
$mir++;
}
array_push($ar1, "[b] $nick1 [/b] ($role1) +1победа, +100он \r\n");
$cre=$cred1+10;
$wi=$win1+1;

mysql_query("UPDATE mafia_us SET win='$wi', cred='$cre' WHERE id_us='$idus1' LIMIT 1;");
mysql_query("UPDATE `user` SET `balls`=`balls`+100 WHERE `id`='$idus1' LIMIT 1");
}
if($prest>$mir){
$mesaga1="К сожалению мирные жители несмогли прогнать мафию.плак. [b]Теперь тут правит мафия!!!![/b] ";
}
elseif($mir>$prest){
$mesaga1="Ураа!!!!! Жители наконец смогли прогнать мафию из города.ор. [b]Победили мирные жители!!!![/b]";
}
elseif($mir==$prest){
$mesaga1="Ничья!";
}
$quite=mysql_query("SELECT * FROM mafia_us WHERE reg='1'");
$ktoymerd=array();
while($kub=mysql_fetch_array($quite)){
$nicki=$kub['nick'];
$rolei=$kub['role'];
array_push($ktoymerd, "[b] $nicki [/b] - $rolei\r\n");
}
$arik=implode($ar1);
$arika=implode($ktoymerd);
$okmes="Игра окончена! $mesaga1 Выжившие :\r\n $arik  Все роли :\r\n $arika";
mysql_query("INSERT INTO mafia_chat(room, nick, id_us, mess, time) VALUES('1', 'Администратор', '1', '$okmes', '".time()."');");
mysql_query("UPDATE mafia_act SET act='no' WHERE room='1'");
$sic='2';
header("LOCATION:igra.php");

}


include_once '../sys/inc/tfoot.php';
?>

